package Tails::Role::DisplayError::Gtk3;
use Moose::Role;

use 5.10.1;
use namespace::autoclean;
use warnings FATAL => 'all';
use autodie qw(:all);

use Carp::Assert::More;

sub display_error {
    my $self        = shift;
    my $main_window = shift;
    my $title       = shift;
    my $mesg        = shift;
    assert_isa($main_window, 'Gtk3::Window');
    assert_defined($title);
    assert_defined($mesg);

    say STDERR "$title: $mesg";

    my $dialog = Gtk3::MessageDialog->new(
        $main_window, 'destroy-with-parent', 'error', 'ok',
        $title
    );
    $dialog->set('secondary-text' => $mesg);
    $dialog->set_position('center');
    $dialog->run;
}

no Moose::Role;
1; # End of Tails::Role::DisplayError::Gtk3
