=head1 NAME

Tails::HasDBus::System - role providing a connection to the system DBus

=cut

package Tails::Role::HasDBus::System;
use Moose::Role;

use 5.10.1;
use namespace::autoclean;
use warnings FATAL => 'all';
use autodie qw(:all);

use Carp::Assert;
use Carp::Assert::More;
use Net::DBus qw(:typing);
use Net::DBus::GLib;

has 'dbus'  => (
    isa        => 'Net::DBus',
    is         => 'ro',
    required   => 1,
    builder    => '_build_dbus',
);

sub _build_dbus {
    my $dbus = Net::DBus::GLib->system;
    assert_defined($dbus);
    return $dbus;
}

no Moose::Role;
1; # End of Tails::HasDBus::System
